
#define CMD_NO_ARGS 0
#define CMD_HAS_ARGS 1
#define CMD_OPT_ARGS 2

typedef struct
{
    int type;
    int(* proc)(config_t *, char *, int);
    char * cmnd;
    char * hlptxt;
} command_t;

/* external function to call */
int command(config_t *, char *, int);

/* support functs */
int check_match(char *, int, char *);
int pppd_kill(char *,int);

/* command functions */
/* unknown trap */
int command_unknown(config_t *, char *, int);
/* missing arguments trap */
int command_missing_args(config_t *, char *, int);
/* individual commands */
int command_shut(config_t *, char *, int);
int command_quit(config_t *, char *, int);
int command_help(config_t *, char *, int);
int command_scan(config_t *, char *, int);
int command_list(config_t *, char *, int);
int command_stat(config_t *, char *, int);
int command_stop(config_t *, char *, int);
int command_dial(config_t *, char *, int);
