/* dialitd.h */

#define SERV_TCP_PORT 666
#define LINE_BUFFER_LEN 2048

typedef struct
{
    char * line_buffer;
    int buffer_end;
} client_data_st;


typedef struct
{
    int quit;
    struct pollfd client[OPEN_MAX];
    int maxclient;
    int waittime;
    client_data_st client_data[OPEN_MAX];
    struct treenode * treeroot;
    char * orig_cmd_line;
    int link_active;
} config_t;


int send_reply(int fd,int code,char * message,...);
int close_client(config_t * config,int client_number);
